Bug 516588 - Don't link to pangox
Summary: Don't link to pangox
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtkglext
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-10 15:49 UTC by Behdad Esfahbod
Modified: 2010-12-05 06:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:38:03 UTC


Attachments (Terms of Use)

Description Behdad Esfahbod 2009-08-10 15:49:41 UTC
gtkglext links to pangox without using it.  I'm planning to remove pangox.  Please remove the dependency.  Worse, it's publishing it in its .pc file, so all gtkglext-using apps also have an unused dep on pangox.

Comment 1 Ralf Corsepius 2009-08-14 05:56:16 UTC
(In reply to comment #0)
> gtkglext links to pangox without using it.
Yes, this package suffers from code-rot and would urgently need a major update, but it suffers from upstream maintenance coordination issues.

[FWIW: Upstream is trying to move from "keep alive maintainence @sourceforge" to being an alive project @gnome.org. Unfortunately the mover didn't work out smoothly (I am one of the upstream folks)].

>  I'm planning to remove pangox. Please remove the dependency.
OK, I'll hack this out.

>  Worse, it's publishing it in its .pc file, so
> all gtkglext-using apps also have an unused dep on pangox.  
I know. The package doesn't have its "published cflags/libs" cleanly separated from its internal cflags it uses for some test cases :(

Something for upstream to address.

Comment 2 Behdad Esfahbod 2009-08-14 15:17:47 UTC
As far as I'm concerned, gtkglext is deprecated.  One should put effort into adding the API directly to GTK+.

Comment 3 Braden McDaniel 2009-08-15 03:25:14 UTC
"As far as you are concerned," what exactly is it deprecated in favor of?

It can be deprecated once there's actually something to replace it.

Comment 4 Behdad Esfahbod 2009-08-16 02:52:05 UTC
(In reply to comment #3)
> "As far as you are concerned," what exactly is it deprecated in favor of?
> 
> It can be deprecated once there's actually something to replace it.  

You are indeed very right.  If anyone from gtkglext upstream is interested in working on adding the feature to gtk proper, feel free to drop me a line.

Comment 5 Bug Zapper 2009-11-16 11:19:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-11-04 10:33:38 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-12-05 06:38:03 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.